using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Armor
{
    public class Mod
    {
        public static void Main()
        {

          CategoryBuilder.Create("MW2", "Call of Duty: Modern Warfare 2", ModAPI.LoadSprite("category.png"));
  //ben
  ModAPI.Register(
new Modification()
{
    OriginalItem = ModAPI.FindSpawnable("Human"),
    NameOverride = "Captain John Soap MacTavish",
    DescriptionOverride = "Captain John Soap MacTavish was the deuteragonist of the Modern Warfare franchise, and also appears in Call of Duty: Heroes, as well as Call of Duty Online. He is the main playable character in Call of Duty 4: Modern Warfare and Call of Duty: Modern Warfare Remastered as a sergeant and special forces soldier, serving as the 22nd S.A.S. Regiment's sniper and demolitions expert, and Call of Duty: Modern Warfare 2 and Call of Duty: Modern Warfare 3 as a captain and the Field Commander of Task Force 141, along with Captain John Price with Sgt. Gary Roach Sanderson and Lt. Simon Ghost Riley under his command.",
    CategoryOverride = ModAPI.FindCategory("MW2"),
    ThumbnailOverride = ModAPI.LoadSprite("thumb/soap.png"),
    AfterSpawn = (Instance) =>
    {

        var skin = ModAPI.LoadTexture("ch/soap.png");




        var person = Instance.GetComponent<PersonBehaviour>();


        person.SetBodyTextures(skin, null, null, 1);


        person.SetBruiseColor(100, 100, 100);
        person.SetSecondBruiseColor(154, 0, 7);
        person.SetThirdBruiseColor(207, 206, 120);
        person.SetRottenColour(202, 199, 104);
        person.SetBloodColour(108, 0, 4);
              foreach (var body in person.Limbs)
              {
                   body.BaseStrength *= 1f;
                   body.Health *= 1f;
                   body.BreakingThreshold *= 2f;
              }
           }
       }
   );
   //ben
   ModAPI.Register(
 new Modification()
 {
     OriginalItem = ModAPI.FindSpawnable("Human"),
     NameOverride = "General Shepherd",
     DescriptionOverride = "Lieutenant General Shepherd was an officer in the United States Army in Call of Duty: Modern Warfare 2 who commanded the United States Marine Corps, U.S. Army Rangers, Task Force 141 and his own elite army that was known as Shadow Company. He started out as a supporting character for the player in Modern Warfare 2 only to reveal himself as the main antagonist of the game and the grand architect of World War III. He wielded a .44 Magnum as his signature weapon, though the player could only acquire it in the level, Museum.",
     CategoryOverride = ModAPI.FindCategory("MW2"),
     ThumbnailOverride = ModAPI.LoadSprite("thumb/shep.png"),
     AfterSpawn = (Instance) =>
     {

         var skin = ModAPI.LoadTexture("ch/shep.png");




         var person = Instance.GetComponent<PersonBehaviour>();


         person.SetBodyTextures(skin, null, null, 1);


         person.SetBruiseColor(100, 100, 100);
         person.SetSecondBruiseColor(154, 0, 7);
         person.SetThirdBruiseColor(207, 206, 120);
         person.SetRottenColour(202, 199, 104);
         person.SetBloodColour(108, 0, 4);
               foreach (var body in person.Limbs)
               {
                    body.BaseStrength *= 1f;
                    body.Health *= 1f;
                    body.BreakingThreshold *= 2f;
               }
            }
        }
    );
    //ben
    ModAPI.Register(
  new Modification()
  {
      OriginalItem = ModAPI.FindSpawnable("Human"),
      NameOverride = "Sergeant Foley",
      DescriptionOverride = "Sergeant Foley is a U.S. Army Ranger and the acting commander of Hunter Two-One, 1st Battalion, 75th Ranger Regiment.",
      CategoryOverride = ModAPI.FindCategory("MW2"),
      ThumbnailOverride = ModAPI.LoadSprite("thumb/fol.png"),
      AfterSpawn = (Instance) =>
      {

          var skin = ModAPI.LoadTexture("ch/fol.png");




          var person = Instance.GetComponent<PersonBehaviour>();


          person.SetBodyTextures(skin, null, null, 1);


          person.SetBruiseColor(100, 100, 100);
          person.SetSecondBruiseColor(154, 0, 7);
          person.SetThirdBruiseColor(207, 206, 120);
          person.SetRottenColour(202, 199, 104);
          person.SetBloodColour(108, 0, 4);
                foreach (var body in person.Limbs)
                {
                     body.BaseStrength *= 1f;
                     body.Health *= 1f;
                     body.BreakingThreshold *= 2f;
                }
             }
         }
     );
   //ben
   ModAPI.Register(
 new Modification()
 {
     OriginalItem = ModAPI.FindSpawnable("Human"),
     NameOverride = "Captain John Soap MacTavish (CliffHanger)",
     DescriptionOverride = "Captain John Soap MacTavish in his uniform garbs from the mission CliffHanger.",
     CategoryOverride = ModAPI.FindCategory("MW2"),
     ThumbnailOverride = ModAPI.LoadSprite("thumb/soap1.png"),
     AfterSpawn = (Instance) =>
     {

         var skin = ModAPI.LoadTexture("ch/soap1.png");




         var person = Instance.GetComponent<PersonBehaviour>();


         person.SetBodyTextures(skin, null, null, 1);


         person.SetBruiseColor(100, 100, 100);
         person.SetSecondBruiseColor(154, 0, 7);
         person.SetThirdBruiseColor(207, 206, 120);
         person.SetRottenColour(202, 199, 104);
         person.SetBloodColour(108, 0, 4);
               foreach (var body in person.Limbs)
               {
                    body.BaseStrength *= 1f;
                    body.Health *= 1f;
                    body.BreakingThreshold *= 2f;
               }
            }
        }
    );
    //ben
    ModAPI.Register(
  new Modification()
  {
      OriginalItem = ModAPI.FindSpawnable("Human"),
      NameOverride = "Captain Price",
      DescriptionOverride = "Captain John Price, callsign Bravo Six, is a British special forces sniper and the main protagonist of the Modern Warfare franchise (Call of Duty 4: Modern Warfare/Modern Warfare Remastered, Call of Duty: Modern Warfare 2/Modern Warfare 2 Campaign Remastered and Call of Duty: Modern Warfare 3). He is also a main character appearing in Call of Duty Online and Call of Duty: Heroes. He is a member of the British SAS and often wears a boonie hat during field operations.",
      CategoryOverride = ModAPI.FindCategory("MW2"),
      ThumbnailOverride = ModAPI.LoadSprite("thumb/pric.png"),
      AfterSpawn = (Instance) =>
      {

          var skin = ModAPI.LoadTexture("ch/pri.png");




          var person = Instance.GetComponent<PersonBehaviour>();


          person.SetBodyTextures(skin, null, null, 1);


          person.SetBruiseColor(100, 100, 100);
          person.SetSecondBruiseColor(154, 0, 7);
          person.SetThirdBruiseColor(207, 206, 120);
          person.SetRottenColour(202, 199, 104);
          person.SetBloodColour(108, 0, 4);
                foreach (var body in person.Limbs)
                {
                     body.BaseStrength *= 1f;
                     body.Health *= 1f;
                     body.BreakingThreshold *= 2f;
                }
             }
         }
     );
     //ben
     ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Human"),
       NameOverride = "Vladimir Makarov",
       DescriptionOverride = "Vladimir Makarov (Russian: Владимир Макаров) (Also referenced as Vladimir R. Makarov in Call of Duty: Modern Warfare 2 and Vladimir A. Makarov in Modern Warfare 3) was the main antagonist of the Modern Warfare franchise and was the leader of an Ultranationalist terrorist cell and Imran Zakhaev's protégé, Makarov was the unseen overarching antagonist in Call of Duty 4: Modern Warfare, the secondary antagonist of Call of Duty: Modern Warfare 2, and the main antagonist of Call of Duty: Modern Warfare 3.",
       CategoryOverride = ModAPI.FindCategory("MW2"),
       ThumbnailOverride = ModAPI.LoadSprite("thumb/mak.png"),
       AfterSpawn = (Instance) =>
       {

           var skin = ModAPI.LoadTexture("ch/mak.png");




           var person = Instance.GetComponent<PersonBehaviour>();


           person.SetBodyTextures(skin, null, null, 1);


           person.SetBruiseColor(100, 100, 100);
           person.SetSecondBruiseColor(154, 0, 7);
           person.SetThirdBruiseColor(207, 206, 120);
           person.SetRottenColour(202, 199, 104);
           person.SetBloodColour(108, 0, 4);
                 foreach (var body in person.Limbs)
                 {
                      body.BaseStrength *= 1f;
                      body.Health *= 1f;
                      body.BreakingThreshold *= 2f;
                 }
              }
          }
      );
      //ben
      ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Viktor",
        DescriptionOverride = "Viktor (Russian: Виктор) was one of Makarov's henchmen in the mission No Russian. He was involved in the attack at Zakhaev International Airport. Of the assault team, only he and Makarov survived. He's also a member of Makarov's Inner Circle.",
        CategoryOverride = ModAPI.FindCategory("MW2"),
        ThumbnailOverride = ModAPI.LoadSprite("thumb/vik.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("ch/vik.png");




            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(100, 100, 100);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
                  foreach (var body in person.Limbs)
                  {
                       body.BaseStrength *= 1f;
                       body.Health *= 1f;
                       body.BreakingThreshold *= 2f;
                  }
               }
           }
       );
       //ben
       ModAPI.Register(
     new Modification()
     {
         OriginalItem = ModAPI.FindSpawnable("Human"),
         NameOverride = "Kiril",
         DescriptionOverride = "Kiril (Russian: Кирилл) was a Russian terrorist who appeared in Call of Duty: Modern Warfare 2 in the mission No Russian.",
         CategoryOverride = ModAPI.FindCategory("MW2"),
         ThumbnailOverride = ModAPI.LoadSprite("thumb/kr.png"),
         AfterSpawn = (Instance) =>
         {

             var skin = ModAPI.LoadTexture("ch/kr.png");




             var person = Instance.GetComponent<PersonBehaviour>();


             person.SetBodyTextures(skin, null, null, 1);


             person.SetBruiseColor(100, 100, 100);
             person.SetSecondBruiseColor(154, 0, 7);
             person.SetThirdBruiseColor(207, 206, 120);
             person.SetRottenColour(202, 199, 104);
             person.SetBloodColour(108, 0, 4);
                   foreach (var body in person.Limbs)
                   {
                        body.BaseStrength *= 1f;
                        body.Health *= 1f;
                        body.BreakingThreshold *= 2f;
                   }
                }
            }
        );
        //ben
        ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "Lev",
          DescriptionOverride = "Lev (Russian: Лев) was an Ultranationalist who appeared in Call of Duty: Modern Warfare 2 during the campaign mission No Russian.",
          CategoryOverride = ModAPI.FindCategory("MW2"),
          ThumbnailOverride = ModAPI.LoadSprite("thumb/lev.png"),
          AfterSpawn = (Instance) =>
          {

              var skin = ModAPI.LoadTexture("ch/lev.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(100, 100, 100);
              person.SetSecondBruiseColor(154, 0, 7);
              person.SetThirdBruiseColor(207, 206, 120);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
                    foreach (var body in person.Limbs)
                    {
                         body.BaseStrength *= 1f;
                         body.Health *= 1f;
                         body.BreakingThreshold *= 2f;
                    }
                 }
             }
         );
    //ben
    ModAPI.Register(
  new Modification()
  {
      OriginalItem = ModAPI.FindSpawnable("Human"),
      NameOverride = "Lieutenant Simon Ghost Riley",
      DescriptionOverride = "Lieutenant Simon Ghost Riley is a British special forces operator, and a prominent member of Task Force 141, known for his iconic skull-patterned balaclava, headset, and dark red sunglasses.",
      CategoryOverride = ModAPI.FindCategory("MW2"),
      ThumbnailOverride = ModAPI.LoadSprite("thumb/ghost.png"),
      AfterSpawn = (Instance) =>
      {

          var skin = ModAPI.LoadTexture("ch/ghost.png");




          var person = Instance.GetComponent<PersonBehaviour>();


          person.SetBodyTextures(skin, null, null, 1);


          person.SetBruiseColor(100, 100, 100);
          person.SetSecondBruiseColor(154, 0, 7);
          person.SetThirdBruiseColor(207, 206, 120);
          person.SetRottenColour(202, 199, 104);
          person.SetBloodColour(108, 0, 4);
                foreach (var body in person.Limbs)
                {
                     body.BaseStrength *= 1f;
                     body.Health *= 1f;
                     body.BreakingThreshold *= 2f;
                }
             }
         }
     );
     //ben
     ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Human"),
       NameOverride = "Shadow Company Operative",
       DescriptionOverride = "Shadow Company is an elite secret unit of private military contractors under the direct command of General Shepherd that appears as the main enemy faction for the last missions in the campaign of Call of Duty: Modern Warfare 2, and in one Special Ops mission, Snatch & Grab",
       CategoryOverride = ModAPI.FindCategory("MW2"),
       ThumbnailOverride = ModAPI.LoadSprite("thumb/shad.png"),
       AfterSpawn = (Instance) =>
       {

           var skin = ModAPI.LoadTexture("ch/shad.png");




           var person = Instance.GetComponent<PersonBehaviour>();


           person.SetBodyTextures(skin, null, null, 1);


           person.SetBruiseColor(100, 100, 100);
           person.SetSecondBruiseColor(154, 0, 7);
           person.SetThirdBruiseColor(207, 206, 120);
           person.SetRottenColour(202, 199, 104);
           person.SetBloodColour(108, 0, 4);
                 foreach (var body in person.Limbs)
                 {
                      body.BaseStrength *= 1f;
                      body.Health *= 1f;
                      body.BreakingThreshold *= 2f;
                 }
              }
          }
      );
   //ben
   ModAPI.Register(
 new Modification()
 {
     OriginalItem = ModAPI.FindSpawnable("Human"),
     NameOverride = "Lieutenant Simon Ghost Riley (Loose Ends)",
     DescriptionOverride = "Lieutenant Simon Ghost Riley in his appearance in the mission Loose Ends.",
     CategoryOverride = ModAPI.FindCategory("MW2"),
     ThumbnailOverride = ModAPI.LoadSprite("thumb/ghost1.png"),
     AfterSpawn = (Instance) =>
     {

         var skin = ModAPI.LoadTexture("ch/ghost1.png");




         var person = Instance.GetComponent<PersonBehaviour>();


         person.SetBodyTextures(skin, null, null, 1);


         person.SetBruiseColor(100, 100, 100);
         person.SetSecondBruiseColor(154, 0, 7);
         person.SetThirdBruiseColor(207, 206, 120);
         person.SetRottenColour(202, 199, 104);
         person.SetBloodColour(108, 0, 4);
               foreach (var body in person.Limbs)
               {
                    body.BaseStrength *= 1f;
                    body.Health *= 1f;
                    body.BreakingThreshold *= 2f;
               }
            }
        }
    );
    //ben
    ModAPI.Register(
  new Modification()
  {
      OriginalItem = ModAPI.FindSpawnable("Human"),
      NameOverride = "Militia #1",
      DescriptionOverride = "The Brazilian Militia is an enemy faction in Call of Duty: Modern Warfare 2. They reside in Rio De Janeiro where they come into conflict with Task Force 141. They are also a playable multiplayer faction. Their faction symbol is a blood-red handprint. Rather than a real, official militia, they are little more than a criminal gang, but they are a very large and well-armed one, sporting a colorful mix of civilian garb and military hardware.",
      CategoryOverride = ModAPI.FindCategory("MW2"),
      ThumbnailOverride = ModAPI.LoadSprite("thumb/mil1.png"),
      AfterSpawn = (Instance) =>
      {

          var skin = ModAPI.LoadTexture("ch/mil1.png");




          var person = Instance.GetComponent<PersonBehaviour>();


          person.SetBodyTextures(skin, null, null, 1);


          person.SetBruiseColor(100, 100, 100);
          person.SetSecondBruiseColor(154, 0, 7);
          person.SetThirdBruiseColor(207, 206, 120);
          person.SetRottenColour(202, 199, 104);
          person.SetBloodColour(108, 0, 4);
                foreach (var body in person.Limbs)
                {
                     body.BaseStrength *= 1f;
                     body.Health *= 1f;
                     body.BreakingThreshold *= 2f;
                }
             }
         }
     );
     ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Human"),
       NameOverride = "Militia #2",
       DescriptionOverride = "The Brazilian Militia is an enemy faction in Call of Duty: Modern Warfare 2. They reside in Rio De Janeiro where they come into conflict with Task Force 141. They are also a playable multiplayer faction. Their faction symbol is a blood-red handprint. Rather than a real, official militia, they are little more than a criminal gang, but they are a very large and well-armed one, sporting a colorful mix of civilian garb and military hardware.",
       CategoryOverride = ModAPI.FindCategory("MW2"),
       ThumbnailOverride = ModAPI.LoadSprite("thumb/mil2.png"),
       AfterSpawn = (Instance) =>
       {

           var skin = ModAPI.LoadTexture("ch/mil2.png");




           var person = Instance.GetComponent<PersonBehaviour>();


           person.SetBodyTextures(skin, null, null, 1);


           person.SetBruiseColor(100, 100, 100);
           person.SetSecondBruiseColor(154, 0, 7);
           person.SetThirdBruiseColor(207, 206, 120);
           person.SetRottenColour(202, 199, 104);
           person.SetBloodColour(108, 0, 4);
                 foreach (var body in person.Limbs)
                 {
                      body.BaseStrength *= 1f;
                      body.Health *= 1f;
                      body.BreakingThreshold *= 2f;
                 }
              }
          }
      );
      ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Inner Circle",
        DescriptionOverride = "The Inner Circle was a Russian Ultranationalist terrorist organization founded by Vladimir Makarov and based in Russia in Call of Duty: Modern Warfare 2 and Call of Duty: Modern Warfare 3, serving as an antagonist faction of Call of Duty: Modern Warfare 2 and the primary antagonist faction of Call of Duty: Modern Warfare 3 and also being a playable group in multiplayer in Call of Duty: Modern Warfare 3. It is the official name for the Ultranationalist extremist splinter cell that sides with Makarov following the split of the Ultranationalist Party. They are playable in Call of Duty: Modern Warfare 3 multiplayer on the maps Aground, Erosion, Piazza, Sanctuary and Seatown opposing the SAS and on Black Box, Oasis and U-Turn opposing Delta Force. They are also playable in the Special Ops mission Milehigh Jack. The multiplayer and special ops announcer for the Inner Circle is Makarov.",
        CategoryOverride = ModAPI.FindCategory("MW2"),
        ThumbnailOverride = ModAPI.LoadSprite("thumb/ic.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("ch/ic.png");




            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(100, 100, 100);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
                  foreach (var body in person.Limbs)
                  {
                       body.BaseStrength *= 1f;
                       body.Health *= 1f;
                       body.BreakingThreshold *= 2f;
                  }
               }
           }
       );
      //exo Vest
      ModAPI.Register(
          new Modification()
          {
              OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
              NameOverride = "Ghost's Armor",
              DescriptionOverride = "The vest worn by Ghost.",
              CategoryOverride = ModAPI.FindCategory("MW2"),
              ThumbnailOverride = ModAPI.LoadSprite("thumb/ghosta.png"),
              AfterSpawn = (Instance) =>
              {
                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/a1t.png");
                  ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                  armor.threepieces = true;

                  armor.stabResistance = 10f;
                  armor.armorPiece = "UpperBody";
                  armor.armorTier = 5;
                  armor.otherSprite = "ar/a1m.png";
                  armor.otherName = "E.O.D Vest -TM";
                  armor.otherPiece = "MiddleBody";
                  armor.otherTier = 5;
                  armor.otherResist = 10f;
                  armor.thirdsprite = "ar/a1b.png";
                  armor.thirdpart = "LowerBody";
                  armor.SpawnOtherParts();

                  Instance.FixColliders();
              }
          }
      );
      //exo Vest
      ModAPI.Register(
          new Modification()
          {
              OriginalItem = ModAPI.FindSpawnable("Brick"),
              NameOverride = "Inner Circle Armor",
              DescriptionOverride = "The vest worn by the Inner Circle Grunts.",
              CategoryOverride = ModAPI.FindCategory("MW2"),
              ThumbnailOverride = ModAPI.LoadSprite("thumb/ica.png"),
              AfterSpawn = (Instance) =>
              {
                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/a8t.png");
                  ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                  armor.threepieces = true;

                  armor.stabResistance = 10f;
                  armor.armorPiece = "UpperBody";
                  armor.armorTier = 5;
                  armor.otherSprite = "ar/a8m.png";
                  armor.otherName = "E.O.D Vest -TM";
                  armor.otherPiece = "MiddleBody";
                  armor.otherTier = 5;
                  armor.otherResist = 10f;
                  armor.thirdsprite = "ar/a8b.png";
                  armor.thirdpart = "LowerBody";
                  armor.SpawnOtherParts();

                  Instance.FixColliders();
              }
          }
      );
      //exo Vest
      ModAPI.Register(
          new Modification()
          {
              OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
              NameOverride = "Flak Vest",
              DescriptionOverride = "The vest worn by The terrorists.",
              CategoryOverride = ModAPI.FindCategory("MW2"),
              ThumbnailOverride = ModAPI.LoadSprite("thumb/ta.png"),
              AfterSpawn = (Instance) =>
              {
                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/a6t.png");
                  ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                  armor.threepieces = true;

                  armor.stabResistance = 10f;
                  armor.armorPiece = "UpperBody";
                  armor.armorTier = 3;
                  armor.otherSprite = "ar/a6m.png";
                  armor.otherName = "E.O.D Vest -TM";
                  armor.otherPiece = "MiddleBody";
                  armor.otherTier = 3;
                  armor.otherResist = 10f;
                  armor.thirdsprite = "ar/a6b.png";
                  armor.thirdpart = "LowerBody";
                  armor.SpawnOtherParts();

                  Instance.FixColliders();
              }
          }
      );
      //exo Vest
      ModAPI.Register(
          new Modification()
          {
              OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
              NameOverride = "Army Rangers Armor",
              DescriptionOverride = "The vest worn by the Rangers.",
              CategoryOverride = ModAPI.FindCategory("MW2"),
              ThumbnailOverride = ModAPI.LoadSprite("thumb/rana.png"),
              AfterSpawn = (Instance) =>
              {
                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/a4t.png");
                  ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                  armor.threepieces = true;

                  armor.stabResistance = 10f;
                  armor.armorPiece = "UpperBody";
                  armor.armorTier = 5;
                  armor.otherSprite = "ar/a4m.png";
                  armor.otherName = "E.O.D Vest -TM";
                  armor.otherPiece = "MiddleBody";
                  armor.otherTier = 5;
                  armor.otherResist = 10f;
                  armor.thirdsprite = "ar/a4b.png";
                  armor.thirdpart = "LowerBody";
                  armor.SpawnOtherParts();

                  Instance.FixColliders();
              }
          }
      );
      //exo Vest
      ModAPI.Register(
          new Modification()
          {
              OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
              NameOverride = "Shadow Company Armor",
              DescriptionOverride = "The vest worn by the Shadow Company.",
              CategoryOverride = ModAPI.FindCategory("MW2"),
              ThumbnailOverride = ModAPI.LoadSprite("thumb/shada.png"),
              AfterSpawn = (Instance) =>
              {
                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/a5t.png");
                  ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                  armor.threepieces = true;

                  armor.stabResistance = 10f;
                  armor.armorPiece = "UpperBody";
                  armor.armorTier = 5;
                  armor.otherSprite = "ar/a5m.png";
                  armor.otherName = "E.O.D Vest -TM";
                  armor.otherPiece = "MiddleBody";
                  armor.otherTier = 5;
                  armor.otherResist = 10f;
                  armor.thirdsprite = "ar/a5b.png";
                  armor.thirdpart = "LowerBody";
                  armor.SpawnOtherParts();

                  Instance.FixColliders();
              }
          }
      );
      //exo Vest
      ModAPI.Register(
          new Modification()
          {
              OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
              NameOverride = "141 Task Force Armor",
              DescriptionOverride = "The armor worn by Ghost and Soap.",
              CategoryOverride = ModAPI.FindCategory("MW2"),
              ThumbnailOverride = ModAPI.LoadSprite("thumb/141a.png"),
              AfterSpawn = (Instance) =>
              {
                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/a2t.png");
                  ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                  armor.threepieces = true;

                  armor.stabResistance = 10f;
                  armor.armorPiece = "UpperBody";
                  armor.armorTier = 5;
                  armor.otherSprite = "ar/a2m.png";
                  armor.otherName = "E.O.D Vest -TM";
                  armor.otherPiece = "MiddleBody";
                  armor.otherTier = 5;
                  armor.otherResist = 10f;
                  armor.thirdsprite = "ar/a2b.png";
                  armor.thirdpart = "LowerBody";
                  armor.SpawnOtherParts();

                  Instance.FixColliders();
              }
          }
      );
      //exo Vest
      ModAPI.Register(
          new Modification()
          {
              OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
              NameOverride = "Soap's Armor",
              DescriptionOverride = "The armor worn by Soap in the mission (CliffHanger).",
              CategoryOverride = ModAPI.FindCategory("MW2"),
              ThumbnailOverride = ModAPI.LoadSprite("thumb/soapa.png"),
              AfterSpawn = (Instance) =>
              {
                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/a3t.png");
                  ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                  armor.threepieces = true;

                  armor.stabResistance = 10f;
                  armor.armorPiece = "UpperBody";
                  armor.armorTier = 5;
                  armor.otherSprite = "ar/a3m.png";
                  armor.otherName = "E.O.D Vest -TM";
                  armor.otherPiece = "MiddleBody";
                  armor.otherTier = 5;
                  armor.otherResist = 10f;
                  armor.thirdsprite = "ar/a3b.png";
                  armor.thirdpart = "LowerBody";
                  armor.SpawnOtherParts();

                  Instance.FixColliders();
              }
          }
      );
      //exo Vest
      ModAPI.Register(
          new Modification()
          {
              OriginalItem = ModAPI.FindSpawnable("Insulator"),
              NameOverride = "Militia Armor",
              DescriptionOverride = "The armor worn by the militia.",
              CategoryOverride = ModAPI.FindCategory("MW2"),
              ThumbnailOverride = ModAPI.LoadSprite("thumb/mila.png"),
              AfterSpawn = (Instance) =>
              {
                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/a7t.png");
                  ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                  armor.threepieces = true;

                  armor.stabResistance = 10f;
                  armor.armorPiece = "UpperBody";
                  armor.armorTier = 5;
                  armor.otherSprite = "ar/a7m.png";
                  armor.otherName = "E.O.D Vest -TM";
                  armor.otherPiece = "MiddleBody";
                  armor.otherTier = 5;
                  armor.otherResist = 10f;
                  armor.thirdsprite = "ar/a7b.png";
                  armor.thirdpart = "LowerBody";
                  armor.SpawnOtherParts();

                  Instance.FixColliders();
              }
          }
      );
                                               //1911
                                       ModAPI.Register(
                                           new Modification()
                                           {
                                               OriginalItem = ModAPI.FindSpawnable("Pistol"),
                                               NameOverride = "M1911",
                                               DescriptionOverride = "The M1911 .45 that Soap has in Call of Duty: Modern Warfare 2 is the same one which was used to kill Imran Zakhaev during the mission Game Over in Call of Duty 4: Modern Warfare. Soap carries an M1911 .45 in Cliffhanger on his holster.",
                                               CategoryOverride = ModAPI.FindCategory("MW2"),
                                               ThumbnailOverride = ModAPI.LoadSprite("thumb/1911.png", 4f),
                                               AfterSpawn = (Instance) =>
                                               {
                                                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/1911.png", 60f);
                                                   Instance.FixColliders();
                                                var firearm = Instance.GetComponent<FirearmBehaviour>();
                                                   firearm.InitialInaccuracy = 0f;
                                                   firearm.BulletsPerShot = 1;
                                                   firearm.ShotSounds = new AudioClip[]
                                                   {
                                                       ModAPI.LoadSound("so/1911.wav")

                                                   };
                                               }
                                           }
                                       );
                                       //1911
                               ModAPI.Register(
                                   new Modification()
                                   {
                                       OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                                       NameOverride = "Glock 18",
                                       DescriptionOverride = "The G18 is the sidearm when using the Snowmobile in Cliffhanger, or the Spec Ops missions, Race and Time Trial. It can also be found in some of the levels such as The Gulag in the armory, Takedown, The Hornet's Nest, Team Player  and Loose Ends. It can also be found in Akimbo variants in various levels. It is also found in a large number of Special Ops missions. The G18 is also the players starting secondary weapon at the beginning of The Hornets Nest.",
                                       CategoryOverride = ModAPI.FindCategory("MW2"),
                                       ThumbnailOverride = ModAPI.LoadSprite("thumb/g18.png", 4f),
                                       AfterSpawn = (Instance) =>
                                       {
                                           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/g18.png", 40f);
                                           Instance.FixColliders();
                                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                                           firearm.InitialInaccuracy = 0f;
                                           firearm.BulletsPerShot = 1;
                                           firearm.ShotSounds = new AudioClip[]
                                           {
                                               ModAPI.LoadSound("so/g18.wav")

                                           };
                                       }
                                   }
                               );
                               //1911
                       ModAPI.Register(
                           new Modification()
                           {
                               OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                               NameOverride = "M93 Raffica",
                               DescriptionOverride = "In the campaign, the M93 Raffica is found in The Gulag, in the armory before proceeding with the search through the cells for Prisoner 627; the weapon is a little hard to spot, being on the lowest shelf on the right below the AA-12.",
                               CategoryOverride = ModAPI.FindCategory("MW2"),
                               ThumbnailOverride = ModAPI.LoadSprite("thumb/m9r.png", 4f),
                               AfterSpawn = (Instance) =>
                               {
                                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/m9r.png", 40f);
                                   Instance.FixColliders();
                                var firearm = Instance.GetComponent<FirearmBehaviour>();
                                   firearm.InitialInaccuracy = 0f;
                                   firearm.BulletsPerShot = 1;
                                   firearm.ShotSounds = new AudioClip[]
                                   {
                                       ModAPI.LoadSound("so/m9.wav")

                                   };
                               }
                           }
                       );
                               //tmp
                       ModAPI.Register(
                           new Modification()
                           {
                               OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                               NameOverride = "TMP",
                               DescriptionOverride = "The TMP is first available during Team Player in both Akimbo and single variants. The TMP is available in No Russian from dead security guards, and can be found with Akimbo and Red Dot Sight. It is also found in Loose Ends on dead Inner Circle members and in the Armory in the basement, where it has a Red Dot Sight. It can also be found in the missions The Enemy of My Enemy and Just Like Old Times being carried by some members of Shadow Company where it can also be found as Akimbo with Red Dot Sight. However, when the player reaches to Endgame, The TMP will start out with a single one with a red dot sight instead of two TMPs with red dots. The TMP is also available in the Special Ops missions Estate Takedown, Overwatch and Hidden.",
                               CategoryOverride = ModAPI.FindCategory("MW2"),
                               ThumbnailOverride = ModAPI.LoadSprite("thumb/tm.png", 4f),
                               AfterSpawn = (Instance) =>
                               {
                                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/tm.png", 20f);
                                   Instance.FixColliders();
                                var firearm = Instance.GetComponent<FirearmBehaviour>();
                                   firearm.InitialInaccuracy = 0f;
                                   firearm.BulletsPerShot = 1;
                                   firearm.ShotSounds = new AudioClip[]
                                   {
                                       ModAPI.LoadSound("so/um.wav")

                                   };
                               }
                           }
                       );
                       //pp2k
               ModAPI.Register(
                   new Modification()
                   {
                       OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                       NameOverride = "PP2000",
                       DescriptionOverride = "The PP2000 is the standard sidearm for the Russian Forces, and can be commonly found in all Rangers missions that take place in North America. When a Russian soldier goes into last stand, they might pull out a PP2000. It is inadvisable to use this weapon, as almost every other weapon has a higher magazine capacity and higher power, and, by extension, is a better choice for a back up.",
                       CategoryOverride = ModAPI.FindCategory("MW2"),
                       ThumbnailOverride = ModAPI.LoadSprite("thumb/pp.png", 4f),
                       AfterSpawn = (Instance) =>
                       {
                           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/pp.png", 30f);
                           Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                           firearm.InitialInaccuracy = 0f;
                           firearm.BulletsPerShot = 1;
                           firearm.ShotSounds = new AudioClip[]
                           {
                               ModAPI.LoadSound("so/pp.wav")

                           };
                       }
                   }
               );
               //w12k
       ModAPI.Register(
           new Modification()
           {
               OriginalItem = ModAPI.FindSpawnable("Shotgun"),
               NameOverride = "W1200",
               DescriptionOverride = "The W1200 was first confirmed to be in the game when it was seen in the original trailers for Call of Duty: Modern Warfare 2. Like the M1911, although it is featured in-game, it is only usable in the Museum level.",
               CategoryOverride = ModAPI.FindCategory("MW2"),
               ThumbnailOverride = ModAPI.LoadSprite("thumb/w2.png", 4f),
               AfterSpawn = (Instance) =>
               {
                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/w2.png", 25f);
                   Instance.FixColliders();
                var firearm = Instance.GetComponent<FirearmBehaviour>();
                   firearm.InitialInaccuracy = 0.22f;
                   firearm.BulletsPerShot = 9;
                   firearm.ShotSounds = new AudioClip[]
                   {
                       ModAPI.LoadSound("so/w2.wav")

                   };
               }
           }
       );
       //aa12
ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Shotgun"),
       NameOverride = "AA-12",
       DescriptionOverride = "The AA-12 is a unique weapon, being the only automatic shotgun in Modern Warfare 2. In addition, it uses an eight round box magazine, which doubles when Extended Magazines is used.",
       CategoryOverride = ModAPI.FindCategory("MW2"),
       ThumbnailOverride = ModAPI.LoadSprite("thumb/aa.png", 4f),
       AfterSpawn = (Instance) =>
       {
           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/aa.png", 28f);
           Instance.FixColliders();
        var firearm = Instance.GetComponent<FirearmBehaviour>();
           firearm.InitialInaccuracy = 0.15f;
           firearm.BulletsPerShot = 6;
           firearm.ShotSounds = new AudioClip[]
           {
               ModAPI.LoadSound("so/aa.wav")

           };
       }
   }
);
//aa12
ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Shotgun"),
NameOverride = "M1014",
DescriptionOverride = "The M1014 is used by the U.S. Army Rangers, Task Force 141, Shadow Company, and the U.S. Navy SEALs. In the campaign, the magazine holds seven shells loaded individually, and can have up to 70 shells in reserve.",
CategoryOverride = ModAPI.FindCategory("MW2"),
ThumbnailOverride = ModAPI.LoadSprite("thumb/m10.png", 4f),
AfterSpawn = (Instance) =>
{
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/m10.png", 27f);
    Instance.FixColliders();
 var firearm = Instance.GetComponent<FirearmBehaviour>();
    firearm.InitialInaccuracy = 0.25f;
    firearm.BulletsPerShot = 6;
    firearm.ShotSounds = new AudioClip[]
    {
        ModAPI.LoadSound("so/m10.wav")

    };
}
}
);
//db
ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Shotgun"),
NameOverride = "Ranger",
DescriptionOverride = "The Ranger is most common in the level The Hornet's Nest and does not appear in the campaign afterwards. Both the Ranger and the Model 1887 are the only shotguns used by the Militia. They are sometimes found with Akimbo, although this is rare.",
CategoryOverride = ModAPI.FindCategory("MW2"),
ThumbnailOverride = ModAPI.LoadSprite("thumb/db.png", 4f),
AfterSpawn = (Instance) =>
{
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/db.png", 45f);
    Instance.FixColliders();
 var firearm = Instance.GetComponent<FirearmBehaviour>();
    firearm.InitialInaccuracy = 0.45f;
    firearm.BulletsPerShot = 8;
    firearm.ShotSounds = new AudioClip[]
    {
        ModAPI.LoadSound("so/m10.wav")

    };
}
}
);
//18
ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Shotgun"),
NameOverride = "Model 1887",
DescriptionOverride = "The Model 1887 is unlocked at level 67, making it the last unlocked shotgun. Prior to the patches, it was considered to be the most powerful shotgun available. It had the longest range and the option to use Akimbo, which not only doubled it continuous fire rate but doubled the damage that could be shot in a single instant by pulling both triggers simultaneously.",
CategoryOverride = ModAPI.FindCategory("MW2"),
ThumbnailOverride = ModAPI.LoadSprite("thumb/18.png", 4f),
AfterSpawn = (Instance) =>
{
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/18.png", 45f);
    Instance.FixColliders();
 var firearm = Instance.GetComponent<FirearmBehaviour>();
    firearm.InitialInaccuracy = 0.45f;
    firearm.BulletsPerShot = 6;
    firearm.ShotSounds = new AudioClip[]
    {
        ModAPI.LoadSound("so/m10.wav")

    };
}
}
);
                       //tmp
               ModAPI.Register(
                   new Modification()
                   {
                       OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                       NameOverride = "UMP 45",
                       DescriptionOverride = "The UMP45 is heavily used by the Spetsnaz and moderately used by Shadow Company.",
                       CategoryOverride = ModAPI.FindCategory("MW2"),
                       ThumbnailOverride = ModAPI.LoadSprite("thumb/um.png", 4f),
                       AfterSpawn = (Instance) =>
                       {
                           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/um.png", 35f);
                           Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                           firearm.InitialInaccuracy = 0f;
                           firearm.BulletsPerShot = 1;
                           firearm.ShotSounds = new AudioClip[]
                           {
                               ModAPI.LoadSound("so/um.wav")

                           };
                       }
                   }
               );
               //vect
       ModAPI.Register(
           new Modification()
           {
               OriginalItem = ModAPI.FindSpawnable("Vector"),
               NameOverride = "Kriss Vector",
               DescriptionOverride = "The Vector, referred to as KRISS Super V within game files, is often found in use by enemies, most notably by the forces of the Ultranationalists, more specifically, the Spetsnaz, the Arctic Forces, and Shadow Company.",
               CategoryOverride = ModAPI.FindCategory("MW2"),
               ThumbnailOverride = ModAPI.LoadSprite("thumb/vec.png", 4f),
               AfterSpawn = (Instance) =>
               {
                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/vec.png", 35f);
                   Instance.FixColliders();
                var firearm = Instance.GetComponent<FirearmBehaviour>();
                   firearm.InitialInaccuracy = 0f;
                   firearm.BulletsPerShot = 1;
                   firearm.ShotSounds = new AudioClip[]
                   {
                       ModAPI.LoadSound("so/vec.wav")

                   };
               }
           }
       );
       //vect
ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
       NameOverride = "Dragunov",
       DescriptionOverride = "The Dragunov returns in Call of Duty: Modern Warfare 2, but is only found in the campaign and Special Ops. It is seen used by the Brazilian Militia in Takedown, and the Ultranationalists.",
       CategoryOverride = ModAPI.FindCategory("MW2"),
       ThumbnailOverride = ModAPI.LoadSprite("thumb/dr.png", 4f),
       AfterSpawn = (Instance) =>
       {
           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/dr.png", 15f);
           Instance.FixColliders();
        var firearm = Instance.GetComponent<FirearmBehaviour>();
           firearm.InitialInaccuracy = 0f;
           firearm.BulletsPerShot = 1;
           firearm.ShotSounds = new AudioClip[]
           {
               ModAPI.LoadSound("so/dr.wav")

           };
       }
   }
);
//vect
ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
NameOverride = "Intervention",
DescriptionOverride = "In the campaign, it is only found in the following missions: Wolverines on the rooftops with the supply drop, The Only Easy Day... Was Yesterday with Thermal Scope attachment and Just Like Old Times as a starting weapon with Silencer attachment.",
CategoryOverride = ModAPI.FindCategory("MW2"),
ThumbnailOverride = ModAPI.LoadSprite("thumb/int.png", 4f),
AfterSpawn = (Instance) =>
{
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/int.png", 20f);
    Instance.FixColliders();
 var firearm = Instance.GetComponent<FirearmBehaviour>();
    firearm.InitialInaccuracy = 0f;
    firearm.BulletsPerShot = 1;
    firearm.ShotSounds = new AudioClip[]
    {
        ModAPI.LoadSound("so/int.wav")

    };
}
}
);
//50
ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
NameOverride = "Barrett .50",
DescriptionOverride = "In the campaign, it is only found in the following missions: Wolverines on the rooftops with the supply drop, The Only Easy Day... Was Yesterday with Thermal Scope attachment and Just Like Old Times as a starting weapon with Silencer attachment.",
CategoryOverride = ModAPI.FindCategory("MW2"),
ThumbnailOverride = ModAPI.LoadSprite("thumb/ba.png", 4f),
AfterSpawn = (Instance) =>
{
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/ba.png", 20f);
    Instance.FixColliders();
 var firearm = Instance.GetComponent<FirearmBehaviour>();
    firearm.InitialInaccuracy = 0f;
    firearm.BulletsPerShot = 2;
    firearm.ShotSounds = new AudioClip[]
    {
        ModAPI.LoadSound("so/bar.wav")

    };
}
}
);
       //p90
ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Vector"),
       NameOverride = "P90",
       DescriptionOverride = "The P90 is again available in Call of Duty: Modern Warfare 2, but is unlocked in multiplayer much earlier, at level 24. The P90 is nearly identical in Call of Duty: Modern Warfare 2 as it was in Call of Duty 4: Modern Warfare.",
       CategoryOverride = ModAPI.FindCategory("MW2"),
       ThumbnailOverride = ModAPI.LoadSprite("thumb/p9.png", 4f),
       AfterSpawn = (Instance) =>
       {
           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/p9.png", 35f);
           Instance.FixColliders();
        var firearm = Instance.GetComponent<FirearmBehaviour>();
           firearm.InitialInaccuracy = 0f;
           firearm.BulletsPerShot = 1;
           firearm.ShotSounds = new AudioClip[]
           {
               ModAPI.LoadSound("so/p9.wav")

           };
       }
   }
);
//Sting
ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Missile Laumcher"),
NameOverride = "FIM-92 Stinger",
DescriptionOverride = "The Stinger is first found during the mission Wolverines!, where Foley instructs the player to use it to shoot down two enemy Mi-28s (although using the Stinger is purely optional). It can also be found in The Only Easy Day... Was Yesterday and can be used to destroy an enemy Little Bird.",
CategoryOverride = ModAPI.FindCategory("MW2"),
ThumbnailOverride = ModAPI.LoadSprite("thumb/sting.png", 4f),
AfterSpawn = (Instance) =>
{
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/sting.png", 35f);
    Instance.FixColliders();
 var firearm = Instance.GetComponent<FirearmBehaviour>();
    firearm.InitialInaccuracy = 0f;
    firearm.BulletsPerShot = 1;
    firearm.ShotSounds = new AudioClip[]
    {
        ModAPI.LoadSound("so/bangbang.wav")

    };
}
}
);
//at
ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Rocket Launcher"),
NameOverride = "AT4",
DescriptionOverride = "The AT4 debuts as a usable weapon in Call of Duty: Modern Warfare 2. This version is called the AT4-HS (Heat-Seeking Launcher) as it is capable of locking on to aircraft. To lock-on, the weapon must be ADS aimed at an aircraft until a clear, loud tone is heard and then fired.",
CategoryOverride = ModAPI.FindCategory("MW2"),
ThumbnailOverride = ModAPI.LoadSprite("thumb/at.png", 4f),
AfterSpawn = (Instance) =>
{
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/at.png", 25f);
    Instance.FixColliders();
 var firearm = Instance.GetComponent<FirearmBehaviour>();
    firearm.InitialInaccuracy = 0f;
    firearm.BulletsPerShot = 1;
    firearm.ShotSounds = new AudioClip[]
    {
        ModAPI.LoadSound("so/bangbang.wav")

    };
}
}
);
//rph
ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Rocket Launcher"),
NameOverride = "RPG7",
DescriptionOverride = "The RPG-7 returns in Call of Duty: Modern Warfare 2. It is used by the OpFor, Brazilian Militia, and Russian Military in campaign, and is available in Special Ops. The RPG has different skins in the Campaign, ranging from normal, tan color to white in the snowy missions. When breaching a door with the RPG-7, the weapon identifier will show up as a USP .45.",
CategoryOverride = ModAPI.FindCategory("MW2"),
ThumbnailOverride = ModAPI.LoadSprite("thumb/rpg.png", 4f),
AfterSpawn = (Instance) =>
{
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/rpg.png", 25f);
    Instance.FixColliders();
 var firearm = Instance.GetComponent<FirearmBehaviour>();
    firearm.InitialInaccuracy = 0f;
    firearm.BulletsPerShot = 1;
    firearm.ShotSounds = new AudioClip[]
    {
        ModAPI.LoadSound("so/rpg.wav")

    };
}
}
);
                                       //44
                               ModAPI.Register(
                                   new Modification()
                                   {
                                       OriginalItem = ModAPI.FindSpawnable("Revolver"),
                                       NameOverride = ".44 Magnum",
                                       DescriptionOverride = "The .44 Magnum, called Colt Anaconda in the game files, is always carried and used by General Shepherd throughout the campaign as his signature weapon of choice. Shepherd is seen reloading his .44 Magnum at the beginning of the mission Team Player. In the end of Loose Ends he unholsters a .44 Magnum tucked in the back of his pants that he uses to kill Ghost and Roach, and in Endgame when he attempts to kill Soap and Captain Price.",
                                       CategoryOverride = ModAPI.FindCategory("MW2"),
                                       ThumbnailOverride = ModAPI.LoadSprite("thumb/py.png", 4f),
                                       AfterSpawn = (Instance) =>
                                       {
                                           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/py.png", 47f);
                                           Instance.FixColliders();
                                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                                           firearm.InitialInaccuracy = 0f;
                                           firearm.BulletsPerShot = 1;
                                           firearm.ShotSounds = new AudioClip[]
                                           {
                                               ModAPI.LoadSound("so/py.wav")

                                           };
                                       }
                                   }
                               );
                               //beret
                            ModAPI.Register(
                                      new Modification()
                                      {
                                          OriginalItem = ModAPI.FindSpawnable("Insulator"),
                                          NameOverride = "Army Beret",
                                          DescriptionOverride = "The hat worn by Shepard.",
                                          CategoryOverride = ModAPI.FindCategory("MW2"),
                                          ThumbnailOverride = ModAPI.LoadSprite("thumb/ber.png", 1f),
                                          AfterSpawn = (Instance) =>
                                          {
                                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/ber.png", 1f);
                                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                              armor.stabResistance = 1f;
                                              armor.armorPiece = "Head";
                                              armor.armorTier = 0;

                                  Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                  Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                  Instance.FixColliders();
                                          }
                                      }
                                  );
                                  //beret
                               ModAPI.Register(
                                         new Modification()
                                         {
                                             OriginalItem = ModAPI.FindSpawnable("Insulator"),
                                             NameOverride = "Boonie hat",
                                             DescriptionOverride = "The hat worn by Price.",
                                             CategoryOverride = ModAPI.FindCategory("MW2"),
                                             ThumbnailOverride = ModAPI.LoadSprite("thumb/boone.png", 1f),
                                             AfterSpawn = (Instance) =>
                                             {
                                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/boone.png", 1f);
                                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                                 armor.stabResistance = 1f;
                                                 armor.armorPiece = "Head";
                                                 armor.armorTier = 0;

                                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                     Instance.FixColliders();
                                             }
                                         }
                                     );
                                  //helmet
                               ModAPI.Register(
                                         new Modification()
                                         {
                                             OriginalItem = ModAPI.FindSpawnable("Brick"),
                                             NameOverride = "Rangers Helmet",
                                             DescriptionOverride = "The helmet worn by the Rangers.",
                                             CategoryOverride = ModAPI.FindCategory("MW2"),
                                             ThumbnailOverride = ModAPI.LoadSprite("thumb/rhelm.png", 1f),
                                             AfterSpawn = (Instance) =>
                                             {
                                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/rhelm.png", 1f);
                                                 ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                                 armor.stabResistance = 5f;
                                                 armor.armorPiece = "Head";
                                                 armor.armorTier = 4;

                                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                     Instance.FixColliders();
                                             }
                                         }
                                     );
                                     //helmet
                                  ModAPI.Register(
                                            new Modification()
                                            {
                                                OriginalItem = ModAPI.FindSpawnable("Brick"),
                                                NameOverride = "SHadow Company Helmet",
                                                DescriptionOverride = "The helmet worn by the Shadow Company.",
                                                CategoryOverride = ModAPI.FindCategory("MW2"),
                                                ThumbnailOverride = ModAPI.LoadSprite("thumb/shh.png", 1f),
                                                AfterSpawn = (Instance) =>
                                                {
                                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ar/shh.png", 1f);
                                                    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                                    armor.stabResistance = 5f;
                                                    armor.armorPiece = "Head";
                                                    armor.armorTier = 4;

                                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                                        Instance.FixColliders();
                                                }
                                            }
                                        );
                               //de
                       ModAPI.Register(
                           new Modification()
                           {
                               OriginalItem = ModAPI.FindSpawnable("Revolver"),
                               NameOverride = "Desert Eagle",
                               DescriptionOverride = "The Desert Eagle returns in Call of Duty: Modern Warfare 2. Although similar to its past version, filling a very similar role, many changes to appearance and performance were made. The Desert Eagle now has a two-tone appearance (similar to the unavailable two-toned Desert Eagle found in the first Modern Warfare and a nonfunctioning underbarrel laser aiming device. Its visual recoil has also increased further from the first Modern Warfare.",
                               CategoryOverride = ModAPI.FindCategory("MW2"),
                               ThumbnailOverride = ModAPI.LoadSprite("thumb/de.png", 4f),
                               AfterSpawn = (Instance) =>
                               {
                                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/de.png", 60f);
                                   Instance.FixColliders();
                                var firearm = Instance.GetComponent<FirearmBehaviour>();
                                   firearm.InitialInaccuracy = 0f;
                                   firearm.BulletsPerShot = 1;
                                   firearm.ShotSounds = new AudioClip[]
                                   {
                                       ModAPI.LoadSound("so/de.wav")

                                   };
                               }
                           }
                       );

                       //m9
               ModAPI.Register(
                   new Modification()
                   {
                       OriginalItem = ModAPI.FindSpawnable("Pistol"),
                       NameOverride = "M9",
                       DescriptionOverride = "The M9 returns in Call of Duty: Modern Warfare 2 as a standard sidearm for the Rangers, and TF141 on some levels. The M9's appearance seems to have been slightly improved from Call of Duty 4: Modern Warfare, as it seems to be slightly shinier and a deeper black. An M9 with Akimbo can be found in The Gulag in the armory, where the player is told to equip the Riot Shield.",
                       CategoryOverride = ModAPI.FindCategory("MW2"),
                       ThumbnailOverride = ModAPI.LoadSprite("thumb/m9.png", 4f),
                       AfterSpawn = (Instance) =>
                       {
                           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/m9.png", 60f);
                           Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                           firearm.InitialInaccuracy = 0f;
                           firearm.BulletsPerShot = 1;
                           firearm.ShotSounds = new AudioClip[]
                           {
                               ModAPI.LoadSound("so/m9.wav")

                           };
                       }
                   }
               );
                       //tac knife
               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "Tactical Knife",
                    DescriptionOverride = "The game introduced two new knives apart from the default knife: the Tactical Knife (an attachment for handguns that allows faster knife stab and faster recovery) and the Throwing Knife (a ranged alternative available as Equipment).",
                    CategoryOverride = ModAPI.FindCategory("MW2"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumb/knife.png", 22f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/knife.png", 38f);
                        Instance.FixColliders();
                    }
                }
               );
                                       //m4
                               ModAPI.Register(
                                   new Modification()
                                   {
                                       OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                                       NameOverride = "M4a1",
                                       DescriptionOverride = "The M4A1 returns in Call of Duty: Modern Warfare 2, this time with it's design having a tan finish like many other weapons in the game. Unlike its Call of Duty 4: Modern Warfare counterpart, the Call of Duty: Modern Warfare 2 version does not have the carrying handle and iron sights however, the weapon is completely unchanged from Call of Duty 4.",
                                       CategoryOverride = ModAPI.FindCategory("MW2"),
                                       ThumbnailOverride = ModAPI.LoadSprite("thumb/m4.png", 4f),
                                       AfterSpawn = (Instance) =>
                                       {
                                           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/m4.png", 31f);
                                           Instance.FixColliders();
                                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                                           firearm.InitialInaccuracy = 0f;
                                           firearm.BulletsPerShot = 1;
                                           firearm.ShotSounds = new AudioClip[]
                                           {
                                               ModAPI.LoadSound("so/m4.wav")

                                           };
                                       }
                                   }
                               );
                               //ak
                       ModAPI.Register(
                           new Modification()
                           {
                               OriginalItem = ModAPI.FindSpawnable("AK-47"),
                               NameOverride = "AK-47 Tactical",
                               DescriptionOverride = "The AK-47 returns in Call of Duty: Modern Warfare 2, albeit heavily modified and aesthetically different to its Call of Duty 4: Modern Warfare counterpart. It has a beige polymer furniture and a side bracket scope mount, as well as a collapsible M4A1 stock and a railed handguard. Shots from the AK-47 sound different than those in Call of Duty 4: Modern Warfare, possibly because of the apparent addition of a muzzle brake.",
                               CategoryOverride = ModAPI.FindCategory("MW2"),
                               ThumbnailOverride = ModAPI.LoadSprite("thumb/ak.png", 4f),
                               AfterSpawn = (Instance) =>
                               {
                                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/ak.png", 31f);
                                   Instance.FixColliders();
                                var firearm = Instance.GetComponent<FirearmBehaviour>();
                                   firearm.InitialInaccuracy = 0f;
                                   firearm.BulletsPerShot = 1;
                                   firearm.ShotSounds = new AudioClip[]
                                   {
                                       ModAPI.LoadSound("so/ak.wav")

                                   };
                               }
                           }
                       );
                       //scar
               ModAPI.Register(
                   new Modification()
                   {
                       OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                       NameOverride = "SCAR-H",
                       DescriptionOverride = "It can be scavenged from dead friendlies or found at specific points in the American campaign.",
                       CategoryOverride = ModAPI.FindCategory("MW2"),
                       ThumbnailOverride = ModAPI.LoadSprite("thumb/sc.png", 4f),
                       AfterSpawn = (Instance) =>
                       {
                           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/sc.png", 28f);
                           Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                           firearm.InitialInaccuracy = 0f;
                           firearm.BulletsPerShot = 1;
                           firearm.ShotSounds = new AudioClip[]
                           {
                               ModAPI.LoadSound("so/sc.wav")

                           };
                       }
                   }
               );
               //fal
       ModAPI.Register(
           new Modification()
           {
               OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
               NameOverride = "FN Fal",
               DescriptionOverride = "The FAL is commonly used by the Brazilian Militia in Takedown and the OpFor in Team Player. The FAL is also used by Russians in the early stages of the invasion, but the AK-47 is more commonplace later in the conflict. It is usually seen with a Red Dot Sight, ACOG Scope, or Shotgun.",
               CategoryOverride = ModAPI.FindCategory("MW2"),
               ThumbnailOverride = ModAPI.LoadSprite("thumb/fal.png", 4f),
               AfterSpawn = (Instance) =>
               {
                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/fal.png", 21f);
                   Instance.FixColliders();
                var firearm = Instance.GetComponent<FirearmBehaviour>();
                   firearm.InitialInaccuracy = 0f;
                   firearm.BulletsPerShot = 1;
                   firearm.ShotSounds = new AudioClip[]
                   {
                       ModAPI.LoadSound("so/fal.wav")

                   };
               }
           }
       );
       //f2k
ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
       NameOverride = "F2000",
       DescriptionOverride = "In the campaign, it has two different types of Red Dot Sights. One version of the weapon, the F2000 Scoped, uses the standard F2000 telescopic sight.",
       CategoryOverride = ModAPI.FindCategory("MW2"),
       ThumbnailOverride = ModAPI.LoadSprite("thumb/f2.png", 4f),
       AfterSpawn = (Instance) =>
       {
           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/f2.png", 33f);
           Instance.FixColliders();
        var firearm = Instance.GetComponent<FirearmBehaviour>();
           firearm.InitialInaccuracy = 0f;
           firearm.BulletsPerShot = 1;
           firearm.ShotSounds = new AudioClip[]
           {
               ModAPI.LoadSound("so/f2.wav")

           };
       }
   }
);
//famas
ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
NameOverride = "Famas",
DescriptionOverride = "The FAMAS (referred to as FAMAS F1 in the game files) is found in several levels throughout the campaign, often used by Ultranationalists or Russian Military.",
CategoryOverride = ModAPI.FindCategory("MW2"),
ThumbnailOverride = ModAPI.LoadSprite("thumb/fa.png", 4f),
AfterSpawn = (Instance) =>
{
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/fa.png", 28f);
    Instance.FixColliders();
 var firearm = Instance.GetComponent<FirearmBehaviour>();
    firearm.InitialInaccuracy = 0f;
    firearm.BulletsPerShot = 1;
    firearm.ShotSounds = new AudioClip[]
    {
        ModAPI.LoadSound("so/fa.wav")

    };
}
}
);
               //rpd
       ModAPI.Register(
           new Modification()
           {
               OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"),
               NameOverride = "RPD",
               DescriptionOverride = "The RPD is occasionally found on Russian soldiers throughout the campaign, as well as in the hands of the Brazilian Militia, Opfor, and Shadow Company soldiers.",
               CategoryOverride = ModAPI.FindCategory("MW2"),
               ThumbnailOverride = ModAPI.LoadSprite("thumb/rpd.png", 4f),
               AfterSpawn = (Instance) =>
               {
                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/rp.png", 28f);
                   Instance.FixColliders();
                var firearm = Instance.GetComponent<FirearmBehaviour>();
                   firearm.InitialInaccuracy = 0f;
                   firearm.BulletsPerShot = 1;
                   firearm.ShotSounds = new AudioClip[]
                   {
                       ModAPI.LoadSound("so/rp.wav")

                   };
               }
           }
       );
       //m240
ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"),
       NameOverride = "M240",
       DescriptionOverride = "The M240 Bravo (identified as such by Col. Marshall) is first seen used by American forces in liberating an Afghan city, and then by Makarov's terrorists during the attack on Zakhaev International Airport.",
       CategoryOverride = ModAPI.FindCategory("MW2"),
       ThumbnailOverride = ModAPI.LoadSprite("thumb/m2.png", 4f),
       AfterSpawn = (Instance) =>
       {
           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/m2.png", 27f);
           Instance.FixColliders();
        var firearm = Instance.GetComponent<FirearmBehaviour>();
           firearm.InitialInaccuracy = 0f;
           firearm.BulletsPerShot = 1;
           firearm.ShotSounds = new AudioClip[]
           {
               ModAPI.LoadSound("so/m2.wav")

           };
       }
   }
);
                       //acr
               ModAPI.Register(
                   new Modification()
                   {
                       OriginalItem = ModAPI.FindSpawnable("AK-47"),
                       NameOverride = "ACR",
                       DescriptionOverride = "The ACR (referred to as Magpul Masada in the game files) is the main assault rifle used by Roach during the Task Force 141 campaign missions, and is used by other Task Force 141 members and Ghost during some missions. It is first available to the player as an optional weapon in The Pit in the mission S.S.D.D., where it is equipped with a Holographic Sight. It is also used in the mission Cliffhanger, with a Red Dot Sight, Silencer, Heartbeat Sensor, and a unique arctic camouflage that is mostly comprised of natural ice and snow. An ACR Grenadier version with an ACOG Scope and Grenade Launcher is used in Takedown, while another version featuring the Holographic Sight and Grenade Launcher is used in Loose Ends.",
                       CategoryOverride = ModAPI.FindCategory("MW2"),
                       ThumbnailOverride = ModAPI.LoadSprite("thumb/ac.png", 4f),
                       AfterSpawn = (Instance) =>
                       {
                           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/ac.png", 31f);
                           Instance.FixColliders();
                        var firearm = Instance.GetComponent<FirearmBehaviour>();
                           firearm.InitialInaccuracy = 0f;
                           firearm.BulletsPerShot = 1;
                           firearm.ShotSounds = new AudioClip[]
                           {
                               ModAPI.LoadSound("so/ak.wav")

                           };
                       }
                   }
               );
                               //m16
                       ModAPI.Register(
                           new Modification()
                           {
                               OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                               NameOverride = "M16a4",
                               DescriptionOverride = "In the Campaign, the M16A4 is seen in both Rangers and Task Force 141 missions. It can be found on dead Task Force 141 members on TF141 missions as well as dead Rangers outside the White House. It is commonly found with Red Dot Sight, ACOG Scope, the underslung M203 or no attachments at all. It fires in bursts in both single player and multiplayer, unlike its Call of Duty 4: Modern Warfare counterpart, which is fully automatic in the Campaign.",
                               CategoryOverride = ModAPI.FindCategory("MW2"),
                               ThumbnailOverride = ModAPI.LoadSprite("thumb/m16.png", 4f),
                               AfterSpawn = (Instance) =>
                               {
                                   Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("we/m16.png", 21f);
                                   Instance.FixColliders();
                                var firearm = Instance.GetComponent<FirearmBehaviour>();
                                   firearm.InitialInaccuracy = 0f;
                                   firearm.BulletsPerShot = 1;
                                   firearm.ShotSounds = new AudioClip[]
                                   {
                                       ModAPI.LoadSound("so/m4.wav")

                                   };
                               }
                           }
                       );







        }
    }
}
